import { IProduct, IProductConfig } from '@orderingstack/ordering-types';
interface UseDisplayPriceProps {
    product: IProduct;
    state?: IProductConfig;
    selected?: boolean;
    cheapestGroupOptionsProduct?: number;
}
export declare const useDisplayPrice: ({ product, state, selected, cheapestGroupOptionsProduct, }: UseDisplayPriceProps) => {
    displayPrice: number;
    showAsMinPrice: boolean | "" | undefined;
    calculatedPriceDefaultProductState: number;
};
export declare const calculateDisplayPrice: ({ product, state, selected, cheapestGroupOptionsProduct, }: UseDisplayPriceProps) => {
    displayPrice: number;
    showAsMinPrice: boolean | "" | undefined;
    calculatedPriceDefaultProductState: number;
};
export {};
//# sourceMappingURL=useDisplayPrice.d.ts.map